<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="utf-8">
	<title>Objeto XMLHTTPRequest</title>
	<script type="text/javascript">
		function enPantalla(text){
			let element = document.getElementById('container');
			element.textContent = text;
		}
		function enconsola(params){
			console.log(params);
		}
	</script>
</head>
<body>
	<button id="request">Petición Post</button>
	<section id="container">
		Respuesta a petición:
	</section>
	<script type="text/javascript">	
		/* POST Request */
		let datos = { //json
			//"nombre propiedad" : "valor",
			"delay":"5"
		}

		let request = new XMLHttpRequest();
		request.open('POST',"https://httpbin.org/delay/5",true);
		//request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
		//request.send();

		//request.setRequestHeader("Content-Type","application/json;charset=UTF-8");
		//request.send(JSON.stringify(datos));
		let contador = 0;
		request.onreadystatechange = function() {
			enconsola(['cuantas veces se revisó?: ', contador]); contador++;
	        if(request.readyState === XMLHttpRequest.DONE && request.status === 200) {
	            enconsola(request.responseText);
	            enPantalla(request.responseText);
	        }
		};

		document.getElementById('request')
			.addEventListener('click', function() {
	  			this.style.display = 'none';
	  			request.send();
		}); 
	</script>
</body>
</html>